function apuracaoContribuicao() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new  ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');
	const self = this;

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Fiscal', 'Imposto', 'Apuração de Imposto']);

    };
    
    this.clickFiltrar = () => {
		var filter = element.all(by.css('#footer > div.zh-footer-right > ul > li > a > span')).first();
		protractorHelper.click(filter);
		};

	this.inserirDataInicial = (dataInicial) => {
		z.field.calendar.clearFieldByXIcon('DTINIPERIODO');
        z.field.calendar.openCalendarByIconClick('DTINIPERIODO');
        z.field.calendar.clickDate(dataInicial);
	};

    this.inserirDataFinal = (dataFinal) => {
	    z.field.calendar.clearFieldByXIcon('DTFIMPERIODO');
        z.field.calendar.openCalendarByIconClick('DTFIMPERIODO');
		z.field.calendar.clickDate(dataFinal);
	};
	
	this.ajusteCredito = (ajusteCredito, tipoCredito, regimeApuracao, valorCredito, processoCredito, descricaoAjuste, dataAcrescimo) => {
		geral.selectNatives('CDAJUSTE', ajusteCredito,
                            'CDTPCREDPICOITE', tipoCredito,
                            'IDCUMUPISCOFIL', regimeApuracao);
        geral.clickAndFillFields('VRAJUSTE', valorCredito,
                                 'NRPROCESSO', processoCredito,
								 'DSAJUSTE', descricaoAjuste);
        z.field.calendar.openCalendarByIconClick('DTAJUSTE');
		z.field.calendar.clickDate(dataAcrescimo);						 
	};

	this.ajusteDebito = (ajusteDebito, regimeApuracao, cst, valorDebito, processoDebito, descricaoAjuste, dataAcrescimo) => {
		geral.selectNatives('CDAJUSTE', ajusteDebito,
							'IDCUMUPISCOFIL', regimeApuracao,
							'CDSITUTRIBITNFE', cst);
		geral.clickAndFillFields('VRAJUSTE', valorDebito,
								 'NRPROCESSO', processoDebito,
								'DSAJUSTE', descricaoAjuste);
		z.field.calendar.openCalendarByIconClick('DTAJUSTE');
		z.field.calendar.clickDate(dataAcrescimo);											
	};
};
module.exports = new apuracaoContribuicao();