var Fis00100_ApuracaoDeImposto_Repository = function(restEngine){
    this.vdImpostoRelac = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/vdImpostoRelac', {
            "requestType": "Row",
            "row": row
        });
    };

    this.buscaPrxDataIniECodigoMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/prxDataIni',{
            "requestType": "Row",
            "row": row
        });
    };

    this.saveMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/saveMapa',{
            "requestType": "Row",
            "row": row
        });
    };

    this.saveArrecadacaoContribuicoes = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/saveArrecadacaoContribuicoes',{
            "requestType": "Row",
            "row": row
        });
    };
    
    this.validaImpostoApurac = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/validaImpostoApurac',{
            "requestType": "Row",
            "row": row
        });
    };

    this.checkUltimoMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/checkUltimoMapa',{
            "requestType": "Row",
            "row": row
        });
    };

    this.checkValidSequencialDetalhamento = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/checkValidSequencialDetalhamento',{
            "requestType": "Row",
            "row": row
        });
    };

    this.apurarMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/apurarMapa',{
            "requestType": "Row",
            "row": row
        });
    };

    this.desbloquearMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/desbloquearMapa',{
            "requestType": "Row",
            "row": row
        });
    };

    this.bloquearMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/bloquearMapa',{
            "requestType": "Row",
            "row": row
        });
    };

    this.deleteMapa = function (row){
        return restEngine.post('fis#/apuracao_de_imposto/deleteMapa',{
            "requestType": "Row",
            "row": row
        });
    };

    this.getNextSequencialAjusteContribuicoes = function (row){
        return restEngine.post('fis_apuracoes#/getNextSequencialAjusteContribuicoes',{
            "requestType": "Row",
            "row": row
        });
    };

    this.saveAjusteContribuicoes = function (row){
        return restEngine.post('fis_apuracoes#/saveAjusteContribuicoes',{
            "requestType": "Row",
            "row": row
        });
    };

};


Configuration(function(ContextRegister) {
     ContextRegister.register('Fis00100_ApuracaoDeImposto_Repository', Fis00100_ApuracaoDeImposto_Repository);
});